GenlibClientSubscription.h File Reference

Header file for GenlibClientSubscription methods. More...

`#include <stdlib.h>`
`#include "UpnpGlobal.h"`
`#include "UpnpString.h"`
Include dependency graph for GenlibClientSubscription.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct s_GenlibClientSubscription | GenlibClientSubscription

## Functions

UPNP_EXPORT_SPEC GenlibClientSubscription * | GenlibClientSubscription_new (void)
UPNP_EXPORT_SPEC void | GenlibClientSubscription_delete (GenlibClientSubscription *p)
UPNP_EXPORT_SPEC GenlibClientSubscription * | GenlibClientSubscription_dup (const GenlibClientSubscription *p)
UPNP_EXPORT_SPEC int | GenlibClientSubscription_assign (GenlibClientSubscription *p, const GenlibClientSubscription *q)
UPNP_EXPORT_SPEC int | GenlibClientSubscription_get_RenewEventId (const GenlibClientSubscription *p)
UPNP_EXPORT_SPEC int | GenlibClientSubscription_set_RenewEventId (GenlibClientSubscription *p, int n)
UPNP_EXPORT_SPEC const UpnpString * | GenlibClientSubscription_get_SID (const GenlibClientSubscription *p)
UPNP_EXPORT_SPEC int | GenlibClientSubscription_set_SID (GenlibClientSubscription *p, const UpnpString *s)
UPNP_EXPORT_SPEC size_t | GenlibClientSubscription_get_SID_Length (const GenlibClientSubscription *p)
UPNP_EXPORT_SPEC const char * | GenlibClientSubscription_get_SID_cstr (const GenlibClientSubscription *p)
UPNP_EXPORT_SPEC int | GenlibClientSubscription_strcpy_SID (GenlibClientSubscription *p, const char *s)
UPNP_EXPORT_SPEC int | GenlibClientSubscription_strncpy_SID (GenlibClientSubscription *p, const char *s, size_t n)
UPNP_EXPORT_SPEC void | GenlibClientSubscription_clear_SID (GenlibClientSubscription *p)
UPNP_EXPORT_SPEC const UpnpString * | GenlibClientSubscription_get_ActualSID (const GenlibClientSubscription *p)
UPNP_EXPORT_SPEC int | GenlibClientSubscription_set_ActualSID (GenlibClientSubscription *p, const UpnpString *s)
UPNP_EXPORT_SPEC size_t | GenlibClientSubscription_get_ActualSID_Length (const GenlibClientSubscription *p)
UPNP_EXPORT_SPEC const char * | GenlibClientSubscription_get_ActualSID_cstr (const GenlibClientSubscription *p)
UPNP_EXPORT_SPEC int | GenlibClientSubscription_strcpy_ActualSID (GenlibClientSubscription *p, const char *s)
UPNP_EXPORT_SPEC int | GenlibClientSubscription_strncpy_ActualSID (GenlibClientSubscription *p, const char *s, size_t n)
UPNP_EXPORT_SPEC void | GenlibClientSubscription_clear_ActualSID (GenlibClientSubscription *p)
UPNP_EXPORT_SPEC const UpnpString * | GenlibClientSubscription_get_EventURL (const GenlibClientSubscription *p)
UPNP_EXPORT_SPEC int | GenlibClientSubscription_set_EventURL (GenlibClientSubscription *p, const UpnpString *s)
UPNP_EXPORT_SPEC size_t | GenlibClientSubscription_get_EventURL_Length (const GenlibClientSubscription *p)
UPNP_EXPORT_SPEC const char * | GenlibClientSubscription_get_EventURL_cstr (const GenlibClientSubscription *p)
UPNP_EXPORT_SPEC int | GenlibClientSubscription_strcpy_EventURL (GenlibClientSubscription *p, const char *s)
UPNP_EXPORT_SPEC int | GenlibClientSubscription_strncpy_EventURL (GenlibClientSubscription *p, const char *s, size_t n)
UPNP_EXPORT_SPEC void | GenlibClientSubscription_clear_EventURL (GenlibClientSubscription *p)
UPNP_EXPORT_SPEC GenlibClientSubscription * | GenlibClientSubscription_get_Next (const GenlibClientSubscription *p)
UPNP_EXPORT_SPEC int | GenlibClientSubscription_set_Next (GenlibClientSubscription *p, GenlibClientSubscription *n)

## Detailed Description

Header file for GenlibClientSubscription methods.

Do not edit this file, it is automatically generated. Please look at generator.c.

Author
  Marcelo Roberto Jimenez

## Typedef Documentation

## GenlibClientSubscription

typedef struct s_GenlibClientSubscription GenlibClientSubscription

GenlibClientSubscription

## Function Documentation

## GenlibClientSubscription_assign()

UPNP_EXPORT_SPEC int GenlibClientSubscription_assign | ( | GenlibClientSubscription * | p,
|  | const GenlibClientSubscription * | q )

Assignment operator

References GenlibClientSubscription_get_ActualSID(), GenlibClientSubscription_get_EventURL(), GenlibClientSubscription_get_Next(), GenlibClientSubscription_get_RenewEventId(), GenlibClientSubscription_get_SID(), GenlibClientSubscription_set_ActualSID(), GenlibClientSubscription_set_EventURL(), GenlibClientSubscription_set_Next(), GenlibClientSubscription_set_RenewEventId(), and GenlibClientSubscription_set_SID().

Referenced by genaRenewSubscription(), genaUnregisterClient(), genaUnSubscribe(), and GenlibClientSubscription_dup().

## GenlibClientSubscription_clear_ActualSID()

UPNP_EXPORT_SPEC void GenlibClientSubscription_clear_ActualSID | ( | GenlibClientSubscription * | p | ) |

GenlibClientSubscription_clear_ActualSID

References UpnpString_clear().

## GenlibClientSubscription_clear_EventURL()

UPNP_EXPORT_SPEC void GenlibClientSubscription_clear_EventURL | ( | GenlibClientSubscription * | p | ) |

GenlibClientSubscription_clear_EventURL

References UpnpString_clear().

## GenlibClientSubscription_clear_SID()

UPNP_EXPORT_SPEC void GenlibClientSubscription_clear_SID | ( | GenlibClientSubscription * | p | ) |

GenlibClientSubscription_clear_SID

References UpnpString_clear().

## GenlibClientSubscription_delete()

UPNP_EXPORT_SPEC void GenlibClientSubscription_delete | ( | GenlibClientSubscription * | p | ) |

Destructor

References UpnpString_delete().

Referenced by freeClientSubList(), genaRenewSubscription(), genaSubscribe(), genaUnregisterClient(), and genaUnSubscribe().

## GenlibClientSubscription_dup()

UPNP_EXPORT_SPEC GenlibClientSubscription * GenlibClientSubscription_dup | ( | const GenlibClientSubscription * | p | ) |

Copy Constructor

References GenlibClientSubscription_assign(), and GenlibClientSubscription_new().

## GenlibClientSubscription_get_ActualSID()

UPNP_EXPORT_SPEC const UpnpString * GenlibClientSubscription_get_ActualSID | ( | const GenlibClientSubscription * | p | ) |

GenlibClientSubscription_get_ActualSID

Referenced by genaRenewSubscription(), genaUnregisterClient(), genaUnSubscribe(), GenlibClientSubscription_assign(), GenlibClientSubscription_get_ActualSID_cstr(), and GenlibClientSubscription_get_ActualSID_Length().

## GenlibClientSubscription_get_ActualSID_cstr()

UPNP_EXPORT_SPEC const char * GenlibClientSubscription_get_ActualSID_cstr | ( | const GenlibClientSubscription * | p | ) |

GenlibClientSubscription_get_ActualSID_cstr

References GenlibClientSubscription_get_ActualSID(), and UpnpString_get_String().

Referenced by GetClientSubActualSID().

## GenlibClientSubscription_get_ActualSID_Length()

UPNP_EXPORT_SPEC size_t GenlibClientSubscription_get_ActualSID_Length | ( | const GenlibClientSubscription * | p | ) |

GenlibClientSubscription_get_ActualSID_Length

References GenlibClientSubscription_get_ActualSID(), and UpnpString_get_Length().

## GenlibClientSubscription_get_EventURL()

UPNP_EXPORT_SPEC const UpnpString * GenlibClientSubscription_get_EventURL | ( | const GenlibClientSubscription * | p | ) |

GenlibClientSubscription_get_EventURL

Referenced by genaRenewSubscription(), genaUnregisterClient(), genaUnSubscribe(), GenlibClientSubscription_assign(), GenlibClientSubscription_get_EventURL_cstr(), GenlibClientSubscription_get_EventURL_Length(), and ScheduleGenaAutoRenew().

## GenlibClientSubscription_get_EventURL_cstr()

UPNP_EXPORT_SPEC const char * GenlibClientSubscription_get_EventURL_cstr | ( | const GenlibClientSubscription * | p | ) |

GenlibClientSubscription_get_EventURL_cstr

References GenlibClientSubscription_get_EventURL(), and UpnpString_get_String().

## GenlibClientSubscription_get_EventURL_Length()

UPNP_EXPORT_SPEC size_t GenlibClientSubscription_get_EventURL_Length | ( | const GenlibClientSubscription * | p | ) |

GenlibClientSubscription_get_EventURL_Length

References GenlibClientSubscription_get_EventURL(), and UpnpString_get_Length().

## GenlibClientSubscription_get_Next()

UPNP_EXPORT_SPEC GenlibClientSubscription * GenlibClientSubscription_get_Next | ( | const GenlibClientSubscription * | p | ) |

GenlibClientSubscription_get_Next

Referenced by freeClientSubList(), GenlibClientSubscription_assign(), GetClientSubActualSID(), GetClientSubClientSID(), and RemoveClientSubClientSID().

## GenlibClientSubscription_get_RenewEventId()

UPNP_EXPORT_SPEC int GenlibClientSubscription_get_RenewEventId | ( | const GenlibClientSubscription * | p | ) |

GenlibClientSubscription_get_RenewEventId

Referenced by free_client_subscription(), genaRenewSubscription(), and GenlibClientSubscription_assign().

## GenlibClientSubscription_get_SID()

UPNP_EXPORT_SPEC const UpnpString * GenlibClientSubscription_get_SID | ( | const GenlibClientSubscription * | p | ) |

GenlibClientSubscription_get_SID

Referenced by gena_process_notification_event(), genaRenewSubscription(), genaUnregisterClient(), GenlibClientSubscription_assign(), GenlibClientSubscription_get_SID_cstr(), GenlibClientSubscription_get_SID_Length(), and ScheduleGenaAutoRenew().

## GenlibClientSubscription_get_SID_cstr()

UPNP_EXPORT_SPEC const char * GenlibClientSubscription_get_SID_cstr | ( | const GenlibClientSubscription * | p | ) |

GenlibClientSubscription_get_SID_cstr

References GenlibClientSubscription_get_SID(), and UpnpString_get_String().

Referenced by GetClientSubClientSID(), and RemoveClientSubClientSID().

## GenlibClientSubscription_get_SID_Length()

UPNP_EXPORT_SPEC size_t GenlibClientSubscription_get_SID_Length | ( | const GenlibClientSubscription * | p | ) |

GenlibClientSubscription_get_SID_Length

References GenlibClientSubscription_get_SID(), and UpnpString_get_Length().

## GenlibClientSubscription_new()

UPNP_EXPORT_SPEC GenlibClientSubscription * GenlibClientSubscription_new | ( | void |  | ) |

Constructor

References UpnpString_new().

Referenced by genaRenewSubscription(), genaSubscribe(), genaUnregisterClient(), genaUnSubscribe(), and GenlibClientSubscription_dup().

## GenlibClientSubscription_set_ActualSID()

UPNP_EXPORT_SPEC int GenlibClientSubscription_set_ActualSID | ( | GenlibClientSubscription * | p,
|  | const UpnpString * | s )

GenlibClientSubscription_set_ActualSID

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by genaRenewSubscription(), genaSubscribe(), and GenlibClientSubscription_assign().

## GenlibClientSubscription_set_EventURL()

UPNP_EXPORT_SPEC int GenlibClientSubscription_set_EventURL | ( | GenlibClientSubscription * | p,
|  | const UpnpString * | s )

GenlibClientSubscription_set_EventURL

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by genaSubscribe(), and GenlibClientSubscription_assign().

## GenlibClientSubscription_set_Next()

UPNP_EXPORT_SPEC int GenlibClientSubscription_set_Next | ( | GenlibClientSubscription * | p,
|  | GenlibClientSubscription * | n )

GenlibClientSubscription_set_Next

Referenced by genaSubscribe(), GenlibClientSubscription_assign(), and RemoveClientSubClientSID().

## GenlibClientSubscription_set_RenewEventId()

UPNP_EXPORT_SPEC int GenlibClientSubscription_set_RenewEventId | ( | GenlibClientSubscription * | p,
|  | int | n )

GenlibClientSubscription_set_RenewEventId

Referenced by free_client_subscription(), genaRenewSubscription(), genaSubscribe(), GenlibClientSubscription_assign(), and ScheduleGenaAutoRenew().

## GenlibClientSubscription_set_SID()

UPNP_EXPORT_SPEC int GenlibClientSubscription_set_SID | ( | GenlibClientSubscription * | p,
|  | const UpnpString * | s )

GenlibClientSubscription_set_SID

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by genaSubscribe(), and GenlibClientSubscription_assign().

## GenlibClientSubscription_strcpy_ActualSID()

UPNP_EXPORT_SPEC int GenlibClientSubscription_strcpy_ActualSID | ( | GenlibClientSubscription * | p,
|  | const char * | s )

GenlibClientSubscription_strcpy_ActualSID

References UpnpString_set_String().

Referenced by free_client_subscription().

## GenlibClientSubscription_strcpy_EventURL()

UPNP_EXPORT_SPEC int GenlibClientSubscription_strcpy_EventURL | ( | GenlibClientSubscription * | p,
|  | const char * | s )

GenlibClientSubscription_strcpy_EventURL

References UpnpString_set_String().

Referenced by free_client_subscription().

## GenlibClientSubscription_strcpy_SID()

UPNP_EXPORT_SPEC int GenlibClientSubscription_strcpy_SID | ( | GenlibClientSubscription * | p,
|  | const char * | s )

GenlibClientSubscription_strcpy_SID

References UpnpString_set_String().

## GenlibClientSubscription_strncpy_ActualSID()

UPNP_EXPORT_SPEC int GenlibClientSubscription_strncpy_ActualSID | ( | GenlibClientSubscription * | p,
|  | const char * | s,
|  | size_t | n )

GenlibClientSubscription_strncpy_ActualSID

References UpnpString_set_StringN().

## GenlibClientSubscription_strncpy_EventURL()

UPNP_EXPORT_SPEC int GenlibClientSubscription_strncpy_EventURL | ( | GenlibClientSubscription * | p,
|  | const char * | s,
|  | size_t | n )

GenlibClientSubscription_strncpy_EventURL

References UpnpString_set_StringN().

## GenlibClientSubscription_strncpy_SID()

UPNP_EXPORT_SPEC int GenlibClientSubscription_strncpy_SID | ( | GenlibClientSubscription * | p,
|  | const char * | s,
|  | size_t | n )

GenlibClientSubscription_strncpy_SID

References UpnpString_set_StringN().